Index: components/blackjack/BlackjackHeader.jsx
===================================================================
--- components/blackjack/BlackjackHeader.jsx	(revision ebf5e04ad50c2ebbd0adf24c814a57cae1a7a172)
+++ components/blackjack/BlackjackHeader.jsx	(revision 285c3cc6d8962d6a01d8b88f202814829bd63d98)
@@ -41,196 +41,192 @@
         }));
 
-        axios.get(`/api/postgre?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(postgreRes => {
-            if (postgreRes.data?.success) {
+        axios.get(`/api/blackjack?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
+            if (res.data?.success) {
                 dispatch(setPlayer({
                     ...playerState.player,
-                    displayName: postgreRes.data?.displayName,
-                    session_id: postgreRes.data?.session_id,
-                    credits: postgreRes.data?.credits,
+                    displayName: res.data?.displayName,
+                    session_id: res.data?.session_id,
+                    credits: res.data?.credits,
                 }));
 
-                axios.get(`/api/blackjack?action=get_player_info_on_enter&session_id=${localStorage.CAESSINO_SESSION_ID}`).then(res => {
-                    if (res.data?.success) {
-                        dispatch(setGame({
-                            ...playerState.game,
-                            status: res.data?.status,
-                            playerCards: res.data?.playerCards,
-                            dealerCards: res.data?.dealerCards,
-                        }))
-
-                        dispatch(setStyle({
-                            ...styleState.style,
-                            displayLoadingScreen: false,
-                        }))
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 5) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    },
-                                    sideBet: {
-                                        ...styleState.blackjack.inputControls.sideBet,
-                                        chosenCredits: 0,
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    hitStand: true,
-                                }
-                            }))
-
-                            if (res.data?.outcome === 'player_busted') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'You busted!',
-                                        subtitle: `You lost $${-1*res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'dealer_busted') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'Dealer busted!',
-                                        subtitle: `You won $${res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'player_won') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'You won!',
-                                        subtitle: `You won $${res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'player_lost') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'You lost!',
-                                        subtitle: `You lost $${-1*res.data?.earnings}`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                            else if (res.data?.outcome === 'draw') {
-                                dispatch(setStyle({
-                                    ...styleState.style,
-                                    alert: {
-                                        show: true,
-                                        title: 'Draw!',
-                                        subtitle: `You got your $${res.data?.earnings} back`,
-                                        button: {
-                                            text: 'Play again',
-                                            action: 'play_again',
-                                        }
-                                    }
-                                }))
-                            }
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 4) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    },
-                                    sideBet: {
-                                        ...styleState.blackjack.inputControls.sideBet,
-                                        chosenCredits: 0,
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    hitStand: true,
-                                }
-                            }))
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 3) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    },
-                                    sideBet: {
-                                        ...styleState.blackjack.inputControls.sideBet,
-                                        chosenCredits: parseInt(res.data?.sideBet),
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    hitStand: true,
-                                }
-                            }))
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 2) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(res.data?.initialBet),
-                                    }
-                                },
-                                displays: {
-                                    ...styleState.blackjack.displays,
-                                    initialBet: false,
-                                    sideBet: true,
-                                }
-                            }))
-                        }
-
-                        if (parseInt(res.data?.status.toString().substr(1, 1)) == 1) {
-                            dispatch(setBlackjack({
-                                ...styleState.blackjack,
-                                inputControls: {
-                                    ...styleState.blackjack.inputControls,
-                                    initialBet: {
-                                        ...styleState.blackjack.inputControls.initialBet,
-                                        chosenCredits: parseInt(postgreRes.data?.credits/2),
-                                    }
-                                },
-                            }))
-                        }
-                    }
-                });
+                dispatch(setGame({
+                    ...playerState.game,
+                    status: res.data?.status,
+                    playerCards: res.data?.playerCards,
+                    dealerCards: res.data?.dealerCards,
+                }))
+
+                dispatch(setStyle({
+                    ...styleState.style,
+                    displayLoadingScreen: false,
+                }))
+
+                if (parseInt(res.data?.status.toString().substr(1, 1)) == 5) {
+                    dispatch(setBlackjack({
+                        ...styleState.blackjack,
+                        inputControls: {
+                            ...styleState.blackjack.inputControls,
+                            initialBet: {
+                                ...styleState.blackjack.inputControls.initialBet,
+                                chosenCredits: parseInt(res.data?.initialBet),
+                            },
+                            sideBet: {
+                                ...styleState.blackjack.inputControls.sideBet,
+                                chosenCredits: 0,
+                            }
+                        },
+                        displays: {
+                            ...styleState.blackjack.displays,
+                            initialBet: false,
+                            hitStand: true,
+                        }
+                    }))
+
+                    if (res.data?.outcome === 'player_busted') {
+                        dispatch(setStyle({
+                            ...styleState.style,
+                            alert: {
+                                show: true,
+                                title: 'You busted!',
+                                subtitle: `You lost $${-1*res.data?.earnings}`,
+                                button: {
+                                    text: 'Play again',
+                                    action: 'play_again',
+                                }
+                            }
+                        }))
+                    }
+                    else if (res.data?.outcome === 'dealer_busted') {
+                        dispatch(setStyle({
+                            ...styleState.style,
+                            alert: {
+                                show: true,
+                                title: 'Dealer busted!',
+                                subtitle: `You won $${res.data?.earnings}`,
+                                button: {
+                                    text: 'Play again',
+                                    action: 'play_again',
+                                }
+                            }
+                        }))
+                    }
+                    else if (res.data?.outcome === 'player_won') {
+                        dispatch(setStyle({
+                            ...styleState.style,
+                            alert: {
+                                show: true,
+                                title: 'You won!',
+                                subtitle: `You won $${res.data?.earnings}`,
+                                button: {
+                                    text: 'Play again',
+                                    action: 'play_again',
+                                }
+                            }
+                        }))
+                    }
+                    else if (res.data?.outcome === 'player_lost') {
+                        dispatch(setStyle({
+                            ...styleState.style,
+                            alert: {
+                                show: true,
+                                title: 'You lost!',
+                                subtitle: `You lost $${-1*res.data?.earnings}`,
+                                button: {
+                                    text: 'Play again',
+                                    action: 'play_again',
+                                }
+                            }
+                        }))
+                    }
+                    else if (res.data?.outcome === 'draw') {
+                        dispatch(setStyle({
+                            ...styleState.style,
+                            alert: {
+                                show: true,
+                                title: 'Draw!',
+                                subtitle: `You got your $${res.data?.earnings} back`,
+                                button: {
+                                    text: 'Play again',
+                                    action: 'play_again',
+                                }
+                            }
+                        }))
+                    }
+                }
+
+                if (parseInt(res.data?.status.toString().substr(1, 1)) == 4) {
+                    dispatch(setBlackjack({
+                        ...styleState.blackjack,
+                        inputControls: {
+                            ...styleState.blackjack.inputControls,
+                            initialBet: {
+                                ...styleState.blackjack.inputControls.initialBet,
+                                chosenCredits: parseInt(res.data?.initialBet),
+                            },
+                            sideBet: {
+                                ...styleState.blackjack.inputControls.sideBet,
+                                chosenCredits: 0,
+                            }
+                        },
+                        displays: {
+                            ...styleState.blackjack.displays,
+                            initialBet: false,
+                            hitStand: true,
+                        }
+                    }))
+                }
+
+                if (parseInt(res.data?.status.toString().substr(1, 1)) == 3) {
+                    dispatch(setBlackjack({
+                        ...styleState.blackjack,
+                        inputControls: {
+                            ...styleState.blackjack.inputControls,
+                            initialBet: {
+                                ...styleState.blackjack.inputControls.initialBet,
+                                chosenCredits: parseInt(res.data?.initialBet),
+                            },
+                            sideBet: {
+                                ...styleState.blackjack.inputControls.sideBet,
+                                chosenCredits: parseInt(res.data?.sideBet),
+                            }
+                        },
+                        displays: {
+                            ...styleState.blackjack.displays,
+                            initialBet: false,
+                            hitStand: true,
+                        }
+                    }))
+                }
+
+                if (parseInt(res.data?.status.toString().substr(1, 1)) == 2) {
+                    dispatch(setBlackjack({
+                        ...styleState.blackjack,
+                        inputControls: {
+                            ...styleState.blackjack.inputControls,
+                            initialBet: {
+                                ...styleState.blackjack.inputControls.initialBet,
+                                chosenCredits: parseInt(res.data?.initialBet),
+                            }
+                        },
+                        displays: {
+                            ...styleState.blackjack.displays,
+                            initialBet: false,
+                            sideBet: true,
+                        }
+                    }))
+                }
+
+                if (parseInt(res.data?.status.toString().substr(1, 1)) == 1) {
+                    dispatch(setBlackjack({
+                        ...styleState.blackjack,
+                        inputControls: {
+                            ...styleState.blackjack.inputControls,
+                            initialBet: {
+                                ...styleState.blackjack.inputControls.initialBet,
+                                chosenCredits: parseInt(postgreRes.data?.credits/2),
+                            }
+                        },
+                    }))
+                }
             }
             else {
Index: components/blackjack/PlayButtons.jsx
===================================================================
--- components/blackjack/PlayButtons.jsx	(revision ebf5e04ad50c2ebbd0adf24c814a57cae1a7a172)
+++ components/blackjack/PlayButtons.jsx	(revision 285c3cc6d8962d6a01d8b88f202814829bd63d98)
@@ -44,28 +44,24 @@
 
     function placeInitialBetClicked() {
-        axios.get(`/api/postgre?action=take_credits&session_id=${localStorage.CAESSINO_SESSION_ID}&credits=${styleState.blackjack.inputControls.initialBet.chosenCredits}`).then(postgreRes => {
-            if (postgreRes.data?.success) {
-                axios.get(`/api/blackjack?action=make_initial_bet&session_id=${localStorage.CAESSINO_SESSION_ID}&bet=${styleState.blackjack.inputControls.initialBet.chosenCredits}`).then(res => {
-                    if (res.data?.success) {
-                        dispatch(setGame({
-                            ...playerState.game,
-                            status: res.data?.status,
-                        }))
-
-                        dispatch(setPlayer({
-                            ...playerState.player,
-                            credits: postgreRes.data?.credits,
-                        }))
-
-                        dispatch(setBlackjack({
-                            ...styleState.blackjack,
-                            displays: {
-                                ...styleState.blackjack.displays,
-                                initialBet: false,
-                                sideBet: true,
-                            }
-                        }))
-                    }
-                });
+        axios.get(`/api/blackjack?action=make_initial_bet&session_id=${localStorage.CAESSINO_SESSION_ID}&bet=${styleState.blackjack.inputControls.initialBet.chosenCredits}`).then(res => {
+            if (res.data?.success) {
+                dispatch(setGame({
+                    ...playerState.game,
+                    status: res.data?.status,
+                }))
+
+                dispatch(setPlayer({
+                    ...playerState.player,
+                    credits: res.data?.credits,
+                }))
+
+                dispatch(setBlackjack({
+                    ...styleState.blackjack,
+                    displays: {
+                        ...styleState.blackjack.displays,
+                        initialBet: false,
+                        sideBet: true,
+                    }
+                }))
             }
         });
@@ -149,31 +145,27 @@
 
     function placeSideBetClicked() {
-        axios.get(`/api/postgre?action=take_credits&session_id=${localStorage.CAESSINO_SESSION_ID}&credits=${styleState.blackjack.inputControls.sideBet.chosenCredits}`).then(postgreRes => {
-            if (postgreRes.data?.success) {
-                axios.get(`/api/blackjack?action=make_side_bet&session_id=${localStorage.CAESSINO_SESSION_ID}&bet=${styleState.blackjack.inputControls.sideBet.chosenCredits}&betName=${playerState.game.sideBetName}`).then(res => {
-                    if (res.data?.success) {
-                        dispatch(setGame({
-                            ...playerState.game,
-                            status: res.data?.status,
-                        }))
-
-                        dispatch(setPlayer({
-                            ...playerState.player,
-                            credits: postgreRes.data?.credits,
-                        }))
-
-                        dispatch(setBlackjack({
-                            ...styleState.blackjack,
-                            displays: {
-                                ...styleState.blackjack.displays,
-                                sideBetsChooseCreditsModal: false,
-                                sideBet: false,
-                                hitStand: true,
-                            }
-                        }))
-
-                        getCards();
-                    }
-                });
+        axios.get(`/api/blackjack?action=make_side_bet&session_id=${localStorage.CAESSINO_SESSION_ID}&bet=${styleState.blackjack.inputControls.sideBet.chosenCredits}&betName=${playerState.game.sideBetName}`).then(res => {
+            if (res.data?.success) {
+                dispatch(setGame({
+                    ...playerState.game,
+                    status: res.data?.status,
+                }))
+
+                dispatch(setPlayer({
+                    ...playerState.player,
+                    credits: res.data?.credits,
+                }))
+
+                dispatch(setBlackjack({
+                    ...styleState.blackjack,
+                    displays: {
+                        ...styleState.blackjack.displays,
+                        sideBetsChooseCreditsModal: false,
+                        sideBet: false,
+                        hitStand: true,
+                    }
+                }))
+
+                getCards();
             }
         });