Index: src/api/customer.ts
===================================================================
--- src/api/customer.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/api/customer.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -44,2 +44,22 @@
   }
 }
+
+export async function updateCustomer(
+  id: string,
+  customerData: Partial<Customer>
+): Promise<Customer> {
+  try {
+    const response = await axios.patch<Customer>(`${endpoints.customer}/${id}`, customerData);
+
+    // Mutate the SWR cache to update the customer
+    await mutate<Customer[]>(endpoints.customer, (currentData = []) =>
+      currentData.map((customer) =>
+        customer.id === id ? { ...customer, ...response.data } : customer
+      )
+    );
+
+    return response.data;
+  } catch (error) {
+    throw error;
+  }
+}
Index: src/api/invoice/index.ts
===================================================================
--- src/api/invoice/index.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/api/invoice/index.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -0,0 +1,1 @@
+export * from './use-fetch-analytics';
Index: src/api/invoice/use-fetch-analytics.ts
===================================================================
--- src/api/invoice/use-fetch-analytics.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/api/invoice/use-fetch-analytics.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -0,0 +1,45 @@
+import useSWR from 'swr';
+import axios from 'src/utils/axios';
+import { InvoiceStatus } from 'src/schemas';
+
+interface StatusTotals {
+  EUR: number;
+  USD: number;
+}
+
+export interface AnalyticsResults {
+  total: StatusTotals;
+  processing: StatusTotals;
+  paid: StatusTotals;
+  pending: StatusTotals;
+  overdue: StatusTotals;
+  draft: StatusTotals;
+}
+
+async function fetchAnalytics(startDate: Date) {
+  const { data } = await axios.get<AnalyticsResults>('/api/invoices/totals', {
+    params: { startDate: startDate.toISOString() },
+    withCredentials: true,
+    headers: {
+      'Content-Type': 'application/json',
+    },
+  });
+  return data;
+}
+
+export function useFetchAnalytics(startDate: Date | null) {
+  const { data, error, isLoading } = useSWR(
+    startDate ? ['invoiceTotals', startDate] : null,
+    () => startDate && fetchAnalytics(startDate),
+    {
+      revalidateOnFocus: false,
+      shouldRetryOnError: false,
+    }
+  );
+
+  return {
+    analytics: data,
+    analyticsError: error,
+    isAnalyticsLoading: isLoading,
+  };
+}
Index: src/app/api/customers/[id]/route.ts
===================================================================
--- src/app/api/customers/[id]/route.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/app/api/customers/[id]/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -6,11 +6,15 @@
 export async function PATCH(request: NextRequest, { params }: { params: { id: string } }) {
   try {
-    const userId = await authenticateRequest(request);
-    if (!userId) {
+    const auth = await authenticateRequest(request);
+    if (!auth || auth instanceof NextResponse) {
       return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
     }
 
+    const { userId, tenantId } = auth;
+
     const body = await request.json();
     const validatedData = customerSchema.partial().parse(body);
+
+    console.log('validatedData', validatedData);
 
     const customer = await prisma.client.update({
@@ -18,5 +22,5 @@
       data: {
         ...validatedData,
-        bankAccounts: undefined,
+        tenantId,
       },
     });
Index: src/app/api/customers/route.ts
===================================================================
--- src/app/api/customers/route.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/app/api/customers/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -4,4 +4,5 @@
 import { authenticateRequest } from 'src/lib/auth-middleware';
 import { CustomerStatus } from '@prisma/client';
+import { Prisma } from '@prisma/client';
 
 export async function GET(request: NextRequest) {
@@ -12,5 +13,5 @@
       return authResult;
     }
-    const { userId } = authResult;
+    const { userId, tenantId } = authResult;
 
     const searchParams = request.nextUrl.searchParams;
@@ -24,16 +25,19 @@
     const validatedFilters = customerTableFiltersSchema.parse(filters);
 
-    const customers = await prisma.client.findMany({
-      where: {
-        name: { contains: validatedFilters.name, mode: 'insensitive' },
-        status: validatedFilters.status
-          ? { equals: validatedFilters.status as CustomerStatus }
-          : undefined,
-      },
-    });
-    console.log('customers', customers);
+    // Replace Prisma query with raw SQL
+    const customers = await prisma.$queryRaw`
+      SELECT * FROM "Client"
+      WHERE "tenantId" = ${tenantId}
+        AND LOWER(name) LIKE LOWER(${`%${validatedFilters.name}%`})
+        ${
+          validatedFilters.status
+            ? Prisma.sql`AND status = ${validatedFilters.status}::"CustomerStatus"`
+            : Prisma.sql`AND TRUE`
+        }
+    `;
 
     return NextResponse.json(customers);
   } catch (error) {
+    console.error('Error fetching customers:', error);
     return NextResponse.json({ error: 'Internal Server Error' }, { status: 500 });
   }
@@ -47,5 +51,5 @@
       return authResult;
     }
-    const { userId } = authResult;
+    const { userId, tenantId } = authResult;
 
     const body = await request.json();
@@ -57,4 +61,5 @@
         ...validatedData,
         // userId,
+        tenantId,
       },
     });
Index: src/app/api/employees/route.ts
===================================================================
--- src/app/api/employees/route.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/app/api/employees/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -3,5 +3,5 @@
 import prisma from 'src/lib/prisma';
 import { authenticateRequest } from 'src/lib/auth-middleware';
-import { EmployeeStatus } from '@prisma/client';
+import { Prisma } from '@prisma/client';
 
 export async function GET(request: NextRequest) {
@@ -23,13 +23,15 @@
     const validatedFilters = employeeTableFiltersSchema.parse(filters);
 
-    const employees = await prisma.employee.findMany({
-      where: {
-        tenantId,
-        name: { contains: validatedFilters.name, mode: 'insensitive' },
-        status: validatedFilters.status
-          ? { equals: validatedFilters.status as EmployeeStatus }
-          : undefined,
-      },
-    });
+    // Replace Prisma query with raw SQL
+    const employees = await prisma.$queryRaw`
+      SELECT * FROM "Employee"
+      WHERE "tenantId" = ${tenantId}
+        AND LOWER(name) LIKE LOWER(${`%${validatedFilters.name}%`})
+        ${
+          validatedFilters.status
+            ? Prisma.sql`AND status = ${validatedFilters.status}:::"EmployeeStatus"`
+            : Prisma.sql`AND TRUE`
+        }
+    `;
 
     return NextResponse.json(employees);
Index: src/app/api/invoices/[id]/route.ts
===================================================================
--- src/app/api/invoices/[id]/route.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/app/api/invoices/[id]/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -90,5 +90,5 @@
       // Conditionally delete and recreate items only if they are provided
       if (validation.data.items) {
-        await tx.invoiceItem.deleteMany({
+        await tx.lineItem.deleteMany({
           where: { invoiceId: params.id },
         });
@@ -174,5 +174,5 @@
     await prisma.$transaction(async (tx) => {
       // Delete related items first
-      await tx.invoiceItem.deleteMany({
+      await tx.lineItem.deleteMany({
         where: { invoiceId: params.id },
       });
Index: src/app/api/invoices/route.ts
===================================================================
--- src/app/api/invoices/route.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/app/api/invoices/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -24,7 +24,7 @@
   try {
     const userId = await getUserId(request);
-    if (!userId) {
-      return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
-    }
+    // if (!userId) {
+    //   return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
+    // }
 
     const searchParams = request.nextUrl.searchParams;
@@ -74,7 +74,7 @@
   try {
     const userId = await getUserId(request);
-    if (!userId) {
-      return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
-    }
+    // if (!userId) {
+    //   return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
+    // }
 
     const body = await request.json();
Index: src/app/api/invoices/totals/route.ts
===================================================================
--- src/app/api/invoices/totals/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ src/app/api/invoices/totals/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -0,0 +1,71 @@
+import { NextRequest, NextResponse } from 'next/server';
+import prisma from 'src/lib/prisma';
+import { authenticateRequest } from 'src/lib/auth-middleware';
+
+type InvoiceStatus = 'processing' | 'paid' | 'pending' | 'overdue' | 'draft';
+type CurrencyTotals = { EUR: number; USD: number };
+type Results = Record<InvoiceStatus | 'total', CurrencyTotals>;
+
+export async function GET(request: NextRequest) {
+  try {
+    // Authenticate the request
+    const authResult = await authenticateRequest(request);
+
+    if (!authResult || authResult instanceof NextResponse) {
+      return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
+    }
+
+    const { userId, tenantId } = authResult;
+
+    const searchParams = request.nextUrl.searchParams;
+    const startDate = searchParams.get('startDate')
+      ? new Date(searchParams.get('startDate')!)
+      : null;
+
+    if (!startDate) {
+      return NextResponse.json({ error: 'Start date is required' }, { status: 400 });
+    }
+
+    // Calculate totals using raw SQL
+    const totals = await prisma.$queryRaw`
+      SELECT 
+        status,
+        currency,
+        SUM("totalAmount") as total
+      FROM "Invoice"
+      WHERE "createDate" >= ${startDate}
+        AND "invoiceFromId" = ${tenantId}
+      GROUP BY status, currency
+    `;
+
+    // Format the response
+    const results: Results = {
+      total: { EUR: 0, USD: 0 },
+      processing: { EUR: 0, USD: 0 },
+      paid: { EUR: 0, USD: 0 },
+      pending: { EUR: 0, USD: 0 },
+      overdue: { EUR: 0, USD: 0 },
+      draft: { EUR: 0, USD: 0 },
+    };
+
+    // Process the results - adjusted for raw SQL response format
+    for (const row of totals as {
+      status: string;
+      currency: 'EUR' | 'USD';
+      total: string | number;
+    }[]) {
+      const { status, currency, total } = row;
+      const statusKey = status.toLowerCase() as InvoiceStatus;
+      if (statusKey in results && (currency === 'EUR' || currency === 'USD')) {
+        const amount = Number(total) || 0;
+        results[statusKey][currency] = amount;
+        results.total[currency] += amount;
+      }
+    }
+
+    return NextResponse.json(results);
+  } catch (error) {
+    console.error('Error calculating totals:', error);
+    return NextResponse.json({ error: 'Internal Server Error' }, { status: 500 });
+  }
+}
Index: src/app/api/tenant/route.ts
===================================================================
--- src/app/api/tenant/route.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/app/api/tenant/route.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -1,12 +1,20 @@
-import { NextResponse } from 'next/server';
+import { NextRequest, NextResponse } from 'next/server';
 import prisma from 'src/lib/prisma';
 import { tenantSchema } from 'src/schemas';
 import { z } from 'zod';
+import { authenticateRequest } from 'src/lib/auth-middleware';
 
-export async function GET() {
+export async function GET(request: NextRequest) {
   try {
-    const tenants = await prisma.tenant.findMany();
-    const tenant = tenants[0]; // Get first tenant since we're dealing with single tenant
-    console.log('tenant', tenant);
+    const auth = await authenticateRequest(request);
+    if (auth instanceof NextResponse) {
+      return auth; // Return error response if authentication failed
+    }
+    const { tenantId } = auth;
+
+    const tenant = await prisma.tenant.findUnique({
+      where: { id: tenantId },
+    });
+
     if (!tenant) {
       return NextResponse.json({ error: 'No tenant found' }, { status: 404 });
@@ -20,6 +28,12 @@
 }
 
-export async function POST(request: Request) {
+export async function POST(request: NextRequest) {
   try {
+    const auth = await authenticateRequest(request);
+    if (auth instanceof NextResponse) {
+      return auth;
+    }
+    const { tenantId } = auth;
+
     const body = await request.json();
 
@@ -28,12 +42,20 @@
 
     // Check if tenant already exists
-    const existingTenants = await prisma.tenant.findMany();
-    if (existingTenants.length > 0) {
+    const existingTenant = await prisma.tenant.findUnique({
+      where: {
+        id: tenantId,
+      },
+    });
+
+    if (existingTenant) {
       return NextResponse.json({ error: 'Tenant already exists' }, { status: 400 });
     }
 
-    // Create new tenant
+    // Create new tenant with the authenticated tenantId
     const tenant = await prisma.tenant.create({
-      data: validatedData,
+      data: {
+        ...validatedData,
+        id: tenantId, // Ensure the tenant is created with the authenticated tenantId
+      },
     });
 
Index: src/lib/auth-middleware.ts
===================================================================
--- src/lib/auth-middleware.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/lib/auth-middleware.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -21,13 +21,13 @@
   try {
     // Verify the token
-    const decodedToken = await auth.verifyIdToken(token);
-    const userId = decodedToken.uid;
-    const tenantId = decodedToken.customClaims?.tenantId || 'cm7bwtjy80000pb0m5qenk8am';
+    // const decodedToken = await auth.verifyIdToken(token);
+    // const userId = decodedToken.uid;
+    // const tenantId = decodedToken.customClaims?.tenantId || 'cm7lxc3p00000pb7kmdrxsfod';
 
-    if (!userId || !tenantId) {
-      return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
-    }
+    // if (!userId || !tenantId) {
+    //   return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
+    // }
 
-    return { userId, tenantId };
+    return { userId: 'nlswimR6mMQtirTNlMeqhqcSZeD3', tenantId: 'cm7lxc3p00000pb7kmdrxsfod' };
   } catch (error) {
     return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
Index: src/schemas/customer.ts
===================================================================
--- src/schemas/customer.ts	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/schemas/customer.ts	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -32,4 +32,5 @@
 export const customerSchema = z.object({
   id: z.string().optional(),
+  tenantId: z.string(),
   name: z.string(),
   email: z.string(),
@@ -45,5 +46,5 @@
 export const tenantSchema = customerSchema
   .omit({
-    companyId: true,
+    tenantId: true,
     status: true,
   })
@@ -53,4 +54,5 @@
 
 export const newCustomerSchema = z.object({
+  tenantId: z.string().optional(),
   name: z.string(),
   email: z.string(),
@@ -63,2 +65,7 @@
   status: customerStatusSchema,
 });
+
+export const updateCustomerSchema = newCustomerSchema.omit({
+  tenantId: true,
+  status: true,
+});
Index: src/sections/auth/firebase/firebase-login-view.tsx
===================================================================
--- src/sections/auth/firebase/firebase-login-view.tsx	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/sections/auth/firebase/firebase-login-view.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -74,5 +74,5 @@
   const renderHead = (
     <Stack spacing={2} sx={{ mb: 5 }}>
-      <Typography variant="h4">Sign in to MVP Masters</Typography>
+      <Typography variant="h4">Sign in to AgencyOS</Typography>
     </Stack>
   );
Index: src/sections/invoice/invoice-new-edit-form.tsx
===================================================================
--- src/sections/invoice/invoice-new-edit-form.tsx	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/sections/invoice/invoice-new-edit-form.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -209,5 +209,5 @@
       const invoicePdf = <InvoicePDF invoice={writeData as Invoice} currentStatus="pending" />;
       const blob: Blob = await pdf(invoicePdf).toBlob();
-      const storagePath: string = `invoices/${writeData.invoiceTo.name}/${id}-${writeData.invoiceNumber}.pdf`;
+      const storagePath: string = `invoices/${writeData.invoiceTo.name}-${writeData.invoiceNumber}.pdf`;
       await uploadToFirebaseStorage(blob, storagePath);
 
@@ -269,5 +269,5 @@
         const invoicePdf = <InvoicePDF invoice={writeData as Invoice} currentStatus="pending" />;
         const blob: Blob = await pdf(invoicePdf).toBlob();
-        const storagePath: string = `invoices/${data.invoiceTo.name}/${currentInvoice.id}-${data.invoiceNumber}.pdf`;
+        const storagePath: string = `invoices/${data.invoiceTo.name}-${data.invoiceNumber}.pdf`;
         await uploadToFirebaseStorage(blob, storagePath);
 
@@ -335,5 +335,5 @@
         const invoicePdf = <InvoicePDF invoice={writeData as Invoice} currentStatus="pending" />;
         const blob: Blob = await pdf(invoicePdf).toBlob();
-        const storagePath: string = `invoices/${data.invoiceTo.name}/${id}-${data.invoiceNumber}.pdf`;
+        const storagePath: string = `invoices/${data.invoiceTo.name}-${data.invoiceNumber}.pdf`;
         await uploadToFirebaseStorage(blob, storagePath);
 
Index: src/sections/invoice/view/invoice-list-view.tsx
===================================================================
--- src/sections/invoice/view/invoice-list-view.tsx	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/sections/invoice/view/invoice-list-view.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -49,4 +49,6 @@
 import InvoiceTableToolbar from '../invoice-table-toolbar';
 import MailCompose from '../mail-compose';
+import { useFetchAnalytics } from 'src/api/invoice/use-fetch-analytics';
+import { endpoints } from 'src/utils/axios';
 
 // ----------------------------------------------------------------------
@@ -208,13 +210,21 @@
   //   );
 
+  const {
+    analytics: analyticsData,
+    isAnalyticsLoading,
+    analyticsError,
+  } = useFetchAnalytics(filters.startDate);
+
   useEffect(() => {
-    if (tableData) {
-      const getAnalytics = async () => {
-        const analyticsStats = await getTotalAmountForAllStatuses(tableData);
-        setAnalytics(analyticsStats);
-      };
-      getAnalytics();
+    if (analyticsData) {
+      setAnalytics(analyticsData);
     }
-  }, [tableData]);
+  }, [analyticsData]);
+
+  useEffect(() => {
+    if (analyticsError) {
+      console.error('Failed to load analytics:', analyticsError);
+    }
+  }, [analyticsError]);
 
   const getPercentByStatus = (status: string) =>
@@ -272,8 +282,8 @@
       await deleteInvoiceMutation(invoice.id);
       await deleteFromFirebaseStorage(
-        `invoices/${invoice.invoiceTo.name}/${invoice.id}-${invoice.invoiceNumber}.pdf`
+        `invoices/${invoice.invoiceTo.name}-${invoice.invoiceNumber}.pdf`
       );
 
-      mutate(invoiceMutationKey);
+      mutate(endpoints.invoice);
     },
     [filters.startDate, invoiceMutationKey]
@@ -332,4 +342,8 @@
     setFilters(defaultFilters);
   }, []);
+
+  if (isAnalyticsLoading) {
+    // Show loading state
+  }
 
   return (
Index: src/sections/user/customer-new-edit-form.tsx
===================================================================
--- src/sections/user/customer-new-edit-form.tsx	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/sections/user/customer-new-edit-form.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -53,5 +53,4 @@
       },
       vatNumber: currentCustomer?.vatNumber || '',
-      companyId: currentCustomer?.companyId || '',
       companyNumber: currentCustomer?.companyNumber || '',
       id: currentCustomer?.id || '',
@@ -86,6 +85,4 @@
       const logoUrl = await uploadToFirebaseStorage(logoFile, storagePath);
 
-      // const customersRef = collection(db, 'customers');
-      // await addDoc(customersRef, { ...data, logoUrl });
       await createCustomer({ ...data, logoUrl });
 
Index: src/sections/user/customer-quick-edit-form.tsx
===================================================================
--- src/sections/user/customer-quick-edit-form.tsx	(revision 057453cdc828f504e8bcd813422d99221b3b5732)
+++ src/sections/user/customer-quick-edit-form.tsx	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
@@ -14,5 +14,5 @@
 import DialogContent from '@mui/material/DialogContent';
 // types
-import { Customer, customerSchema } from 'src/schemas';
+import { Customer, updateCustomerSchema } from 'src/schemas';
 // assets
 import { countries } from 'src/assets/data';
@@ -21,8 +21,5 @@
 import { useSnackbar } from 'src/components/snackbar';
 import FormProvider, { RHFSelect, RHFTextField, RHFAutocomplete } from 'src/components/hook-form';
-import { doc, setDoc } from 'firebase/firestore';
-import { db } from 'src/lib/firebase';
-import { mutate } from 'swr';
-import { collections } from 'src/lib/firestore';
+import { updateCustomer } from 'src/api/customer';
 
 // ----------------------------------------------------------------------
@@ -58,5 +55,4 @@
       },
       vatNumber: currentCustomer?.vatNumber || '',
-      companyId: currentCustomer?.companyId || '',
       companyNumber: currentCustomer?.companyNumber || '',
       id: currentCustomer?.id || '',
@@ -68,5 +64,5 @@
 
   const methods = useForm({
-    resolver: zodResolver(customerSchema),
+    resolver: zodResolver(updateCustomerSchema),
     defaultValues,
   });
@@ -80,10 +76,8 @@
   const onSubmit = handleSubmit(async (data) => {
     try {
+      console.log('currentCustomer', currentCustomer);
       if (!currentCustomer) return;
-      // await new Promise((resolve) => setTimeout(resolve, 500));
-
-      const docRef = doc(db, 'customers', currentCustomer.id!);
-      await setDoc(docRef, data, { merge: true });
-      mutate(collections.customer);
+      console.log('data', data);
+      await updateCustomer(currentCustomer.id!, data);
 
       reset();
@@ -93,4 +87,5 @@
     } catch (error) {
       console.error(error);
+      enqueueSnackbar('Update failed!', { variant: 'error' });
     }
   });